Subject: Re: Assert RPF

From: [email-masked]
Date: Fri, 4 Sep 1998 12:10:34 -0700 (PDT)

Hal Sandick states:
> Billy Ng and I found a slight ambiguity in RFC2362 (PIM-SM) regarding how
> upstream routers do the RPF check during the Assert process.  Section 2.9
> describes an upstream router doing a RPF check to the source for a (S,G)
> entry  or to the RP for a shared tree entry:
>
>
>    "If a router receives a multicast data gram on a multi-access LAN from
>    a source whose corresponding (S,G) outgoing interface list includes
>    the interface to that LAN, the packet must be a duplicate.  In this
>    case a single forwarder must be elected.  Using Assert messages
>    addressed to `224.0.0.13' (ALL-PIM-ROUTERS group) on the LAN,
>    upstream routers can resolve which one will act as the forwarder.
>    Downstream routers listen to the Asserts so they know which one was
>    elected, and therefore where to send subsequent Joins. Typically this
>    is the same as the downstream router's RPF (Reverse Path Forwarding)
>    neighbor; but there are circumstances where this might not be the
>    case, e.g., when using multiple unicast routing protocols on that
>    LAN. The RPF neighbor for a particular source (or RP) is the next-hop
>    router to which packets are forwarded en route to that source (or
>    RP); and therefore is considered a good path via which to accept
>    packets from that source."
>
> In section 3.5.1 on sending asserts, only the "source" of the data gram is
> referred to:
>
>    "The following Assert rules are provided when a multicast packet is
>    received on an outgoing multi-access interface "I" of an existing
>    active (S,G), (*,G) or (*,*,RP) entry:
>
>       1 Do unicast routing table lookup on source address from data
>         packet, and send assert on interface "I" for source address in
>         data packet; include metric preference of routing protocol and
>         metric from routing table lookup."
>
> We assume that section 2.9 is correct and that section 3.5.1 should be
> changed to indicate a RPF lookup for the source for a (S,G) entry and a RPF
> lookup for the RP for a shared tree entry.
>
> Regards,
>
> Hal
 
Hal, it looks like you are correct, i've made a note of this in
 
 http://www.isi.edu/~eddy/pim/pim-specv2-notes.html
 
- rusty